%bcond_without flxmlrpc

Name:           flrig
Version:        1.3.37
Release:        1%{?dist}
Summary:        Transceiver control program

License:        GPLv3+
URL:            http://www.w1hkj.com/
Source0:        http://downloads.sourceforge.net/fldigi/%{name}-%{version}%{?prerel:-a%{prerel}}.tar.gz
Source100:      flrig.appdata.xml

BuildRequires:  gcc
BuildRequires:  fltk-devel >= 1.3.0
%if %{with flxmlrpc}
BuildRequires:  flxmlrpc-devel >= 0.1.0
%endif
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

# xdg-open is used in src/main.cxx
Requires:       xdg-utils


%description
Flrig is a transceiver control program designed to be used either stand alone or
as an adjunct to fldigi.  The supported transceivers all have some degree of
CAT.  The flrig user interface changes to accommodate the degree of CAT support
available for the transceiver in use. 


%prep
%autosetup -n %{name}-%{version}%{?prerel:-a%{prerel}}

%if %{with flxmlrpc}
# Remove bundled xmlrpc library.
rm -rf src/xmlrpcpp
%endif


%build
%{?rhel:export LDFLAGS="-lfltk"}
%configure
%make_build


%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%if 0%{?fedora}
mkdir -p %{buildroot}%{_datadir}/metainfo
install -pm 0644 %{SOURCE100} %{buildroot}%{_datadir}/metainfo/
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
%endif


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{?fedora:%{_datadir}/metainfo/*.appdata.xml}


%changelog
* Sun Dec 31 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.37-1
- Update to latest upstream release.

* Mon Nov 13 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.36-1
- Update to latest upstream release.

* Wed Sep 06 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.34-1
- Update to latest upstream release.

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Florian Weimer <fweimer@redhat.com> - 1.3.33-3
- Rebuild with binutils fix for ppc64le (#1475636)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.33-1
- Update to latest upstream release.

* Sun Jul 09 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.32-1
- Update to latest upstream release.

* Tue Jun 06 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.31-1
- Update to latest upstream release

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sun Apr  2 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.30-1
- Update to latest upstream release.

* Wed Mar 29 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.29-1
- Update to latest upstream release.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Richard Shaw <hobbes1069@gmail.com> - 1.3.28-1
- Update to latest upstream release.

* Tue Nov 15 2016 Richard Shaw <hobbes1069@gmail.com> - 1.3.27-1
- Update to latest upstream release.

* Mon Jun 27 2016 Richard Shaw <hobbes1069@gmail.com> - 1.3.26-1
- Update to latest upstream release.

* Tue Apr 12 2016 Richard Shaw <hobbes1069@gmail.com> - 1.3.25-1
- Update to latest upstream release.

* Wed Feb 17 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.3.24-3
- Rename "ignore" into flrig_ignore to work-around symbol clash with std::ignore
  (F24FTBS, RHBZ#1307507)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Richard Shaw <hobbes1069@gmail.com> - 1.3.24-1
- Update to latest upstream release.

* Mon Nov 30 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.23-1
- Update to latest upstream release.

* Tue May  5 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.22-1
- Update to latest upstream release.
- Build with external xmlrpc library.
- Update spec to use license macro where appropriate.

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.21-2
- Rebuilt for GCC 5 C++11 ABI change

* Fri Mar 27 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.21-1
- Update to latest upstream release.

* Sun Mar 22 2015 Richard Shaw <hobbes1069@gmail.com> - 1.3.20-1
- Update to latest upstream release.

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> 1.3.19-2
- rebuild (fltk)

* Fri Dec 26 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.19-1
- Update to latest upstream release.

* Sun Dec 07 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.18-1
- Update to latest upstream release.

* Thu Oct 16 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.17-1
- Update to latest upstream release.

* Thu Aug  7 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.16-2
- Add xdg-open to package requirements.

* Sun Jun  8 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.16-1
- Update to latest upstream release.

* Sun Feb  2 2014 Richard Shaw <hobbes1069@gmail.com> - 1.3.15-1
- Initial packaging.
